Jump to content

Problema compatibilità tema con smarty 3


xone21
 Share

Recommended Posts

Salve, ho creato una copia di un tema per modificarlo, ho modificato solo la grafica rendendolo più largo ma ora usando smarty3 ricevo l'errore seguente, e sono costretto ad usare smarty2..

 

Fatal error: Access to undeclared static property: Smarty::$_CHARSET in /public_html/shop/tools/smarty/plugins/modifiercompiler.escape.php on line 35

 

Eppure il tema è identico all'altro e l'altro con smarty 3 funziona! C'è qualche soluzione al problema?

 

Inoltre c'è un modo per aggiornare all'ultima versione di prestashop mantenendo tutte le compatibilità che utilizzo ora con la versione 1.4.7? Intendo tema, moduli, ecc.. Ho paura ad aggiornare all'ultima versione, ho paura di perdere tutto il catalogo, ecc..

Edited by xone21 (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More